#!/bin/sh


source $GEXT_AFREPO/AFR-SETUP.sh


has_afrepo_conf=`egrep "^Include conf/httpd-afrepo.conf" "$GEXTAMP_INSTALLED/conf/httpd.conf"`

if [ "x$has_afrepo_conf" = "x" ] ; then
  # Not currently in file => append it

  echo ""
  echo "** Appending 'httpd-afrepo.conf' to main Apache config file"
  echo "Include conf/httpd-afrepo.conf" >> "$GEXTAMP_INSTALLED/conf/httpd.conf"
fi

cat "httpd-afrepo.conf.in" \
  | sed "s%@4store-http-prefix@%$protocol://$hostname:$f4store_port%g" > "$GEXTAMP_INSTALLED/conf/httpd-afrepo.conf"


echo ""
echo "** Regenerating AFRepo.class.php"
cat "AFRepo.GSDLEXT.class.php.in" \
  | sed "s%@afrepo-http-prefix@%$protocol://$hostname:$port%g" \
  | sed "s%@4store-http-prefix@%$protocol://$hostname:$f4store_port%g" > "$GEXTAMP_INSTALLED/htdocs/afrepo/AFRepo.class.php"


